The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Обновление PHP 5.3.3 и 5.2.14 с исправлением 18 уязвимостей"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Обновление PHP 5.3.3 и 5.2.14 с исправлением 18 уязвимостей"  +/
Сообщение от opennews (??) on 22-Июл-10, 22:22 
Выпущены (http://www.php.net/archive/2010.php) обновления поддерживаемых веток PHP - 5.3.3 и 5.2.14. В новых версиях проведена работа по устранению уязвимостей, найденных при проведении месяца безопасности PHP (https://www.opennet.ru/opennews/art.shtml?num=26857) в мае. В версии 5.3.3 исправлено 18 проблем безопасности и более 100 ошибок, а в 5.2.14 - 16 проблем безопасности и 60 ошибок.


Кроме исправлений в релизе PHP 5.3.3 проведено одно изменение, нарушающее совместимость в рамках ветки PHP 5.3.x: последний метод с тем же именем, что и класс более не воспринимается как конструктор. Также произведено обновление входящих в комплект библиотек sqlite 3.6.23.1 и PCRE 8.02, добавлено  SAPI для  менеджера процессов FastCGI (FastCGI Process Manager), добавлен потоковый фильтр с поддержкой расширения mcrypt, в ext/filter добавлен фильтр full_special_chars, устранено несколько приводящих к краху и утечке памяти ошибок.

Исправленные в PHP 5.3.3 уязвимости:


-  Переписана функция va...

URL: http://www.php.net/archive/2010.php
Новость: https://www.opennet.ru/opennews/art.shtml?num=27390

Высказать мнение | Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


2. "Обновление PHP 5.3.3 и 5.2.14 с исправлением 18 уязвимостей"  +2 +/
Сообщение от Doktor (??) on 22-Июл-10, 22:45 
Отлично что добавили FPM SAPI, теперь можно использовать этот process manager вместе с nginx без дополнительных танцев с бубном.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

6. "Обновление PHP 5.3.3 и 5.2.14 с исправлением 18 уязвимостей"  +/
Сообщение от KOL (ok) on 23-Июл-10, 14:08 
Только конфиги теперь с xml в ini переколбашивать..
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

7. "Обновление PHP 5.3.3 и 5.2.14 с исправлением 18 уязвимостей"  –1 +/
Сообщение от Doktor (??) on 23-Июл-10, 14:18 
И слава богу, скажу я вам. Можно скрипт написать для автоматизации, да открыть его под GPL.
Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

4. "Обновление PHP 5.3.3 и 5.2.14 с исправлением 18 уязвимостей"  +/
Сообщение от Аноним (??) on 23-Июл-10, 10:32 
> методы с тем же именем, что и текущий класс более не воспринимаются как конструкторы

О-па-ньки...

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

5. "Обновление PHP 5.3.3 и 5.2.14 с исправлением 18 уязвимостей"  +1 +/
Сообщение от pro100master (ok) on 23-Июл-10, 10:41 
>PHP 5.3.x: методы с тем же именем, что и текущий класс более не воспринимаются как конструкторы

поправка переводчику
--------------------
методы с тем же именем, что и текущий класс в NAMESPACE более не воспринимаются как конструкторы. Методов в классах без namespace это не коснулось.

Высказать мнение | Ответить | Правка | ^ | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру